Bug 44755 - chmod fails on . when there is no execute permission
Summary: chmod fails on . when there is no execute permission
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-16 01:23 UTC by caret
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-23 02:00:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description caret 2001-06-16 01:23:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.5-15 i686; Nav)

Description of problem:
Trying to change the modes of the current directory fails if there
is no execute permission on the directory (as a non-root user).

How reproducible:
Always

Steps to Reproduce:
(As a non-root user):

	"mkdir x", "cd x", "chmod 600 .", "chmod 700 ."

Actual Results:  Fails with the error:

	"chmod: getting attributes of `.': Permission Denied"


Expected Results:  So set the file permissions as expected, without
complaint.

Additional info:

Comment 1 Michael Schwendt 2001-06-23 02:00:52 UTC
After "cd x; chmod 600 ." you're in a directory which you may not access (x) any
longer. Try "ls" or "cd ..". It will give the same "permission denied" error.
Specifying the full path when changing permissions fixes this. Or leave that
directory first.


Note You need to log in before you can comment on or make changes to this bug.